%define _ver 1.2.0.6
%define _rel 2
Summary: Fast, free, validating XML editor
Summary(ja): 高速な XM L検証エディタ
Name: xmlcopyeditor
Version: %{_ver}.%{_rel}
Release: 2%{?_dist_release}
License: GPL
URL: http://xml-copy-editor.sourceforge.net/
Source0: xmlcopyeditor-%{_ver}-%{_rel}.tar.gz
Group: Applications/Editors
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pcre-devel
BuildRequires: aspell-devel
BuildRequires: libboost libboost-devel
BuildRequires: xerces-c xerces-c-devel
BuildRequires: libxml-devel
BuildRequires: libxslt-devel
BuildRequires: expat-devel
BuildRequires: wxGTK-devel >= 2.8

%description
XML Copy Editor is an XML editor focusing on editing document markup languages like
DITA, DocBook, WordprocessingML. It features DTD/XML Schema/RELAX NG validation,
XSLT, XPath, pretty-printing, syntax highlighting, folding, tag completion/locking,
and a spelling/style check. 


%prep
%setup -q -n xmlcopyeditor-%{_ver}


%build
%configure \
	CFLAGS="$CFLAGS -I/usr/include/pcre" \
	CXXFLAGS="$CXXFLAGS -I/usr/include/pcre" \
	CC="gcc -I/usr/include/pcre" \
	CXX="g++ -I/usr/include/pcre" \
	;
%__make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%config(missingok) %{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}

%changelog
* Wed Jul 11 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.2.0.6.2-2
- changed Buildrequires: wx-gtk2-devel >= 2.8 to wxGTK-devel >= 2.8

* Tue Feb 23 2010 Shu KONNO <owa@bg.wakwak.com> 1.2.0.6.2-1
- initial build for vine seed

